<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.UploadFilesMapper">
  <resultMap id="BaseResultMap" type="com.ssm.manage.entity.UploadFiles">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="file_name" jdbcType="VARCHAR" property="fileName" />
    <result column="file_path" jdbcType="VARCHAR" property="filePath" />
    <result column="doc_id" jdbcType="BIGINT" property="docId" />
    <result column="doc_num" jdbcType="VARCHAR" property="docNum" />
    <result column="doc_type" jdbcType="VARCHAR" property="docType" />
  </resultMap>
    <delete id="deleteByDocId">
      delete from upload_files where doc_id = #{id}
    </delete>
</mapper>